All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Continuous2DFunction Class Reference

This is a TabulatedFunction that computes a continuous two dimensional function. More...

`#include <TabulatedFunction.h>`

Inheritance diagram for Continuous2DFunction:

## Public Member Functions

| Continuous2DFunction (int xsize, int ysize, const std::vector< double > &values, double xmin, double xmax, double ymin, double ymax)
| Create a Continuous2DFunction f(x,y) based on a set of tabulated values. More...
void | getFunctionParameters (int &xsize, int &ysize, std::vector< double > &values, double &xmin, double &xmax, double &ymin, double &ymax) const
| Get the parameters for the tabulated function. More...
void | setFunctionParameters (int xsize, int ysize, const std::vector< double > &values, double xmin, double xmax, double ymin, double ymax)
| Set the parameters for the tabulated function. More...
Continuous2DFunction * | Copy () const
| Create a deep copy of the tabulated function. More...
Public Member Functions inherited from TabulatedFunction
virtual | ~TabulatedFunction ()

## Detailed Description

This is a TabulatedFunction that computes a continuous two dimensional function.

## Constructor & Destructor Documentation

Continuous2DFunction | ( | int | xsize,
|  | int | ysize,
|  | const std::vector< double > & | values,
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |

Create a Continuous2DFunction f(x,y) based on a set of tabulated values.

Parameters

  values

  the tabulated values of the function f(x,y) at xsize uniformly spaced values of x between xmin and xmax, and ysize values of y between ymin and ymax. A natural cubic spline is used to interpolate between the tabulated values. The function is assumed to be zero when x or y is outside its specified range. The values should be ordered so that values[i+xsize*j] = f(x_i,y_j), where x_i is the i'th uniformly spaced value of x. This must be of length xsize*ysize.

  xsize | the number of table elements along the x direction
  ysize | the number of table elements along the y direction
  xmin | the value of x corresponding to the first element of values
  xmax | the value of x corresponding to the last element of values
  ymin | the value of y corresponding to the first element of values
  ymax | the value of y corresponding to the last element of values

## Member Function Documentation

Continuous2DFunction* Copy | ( |  | ) | const

virtual

Create a deep copy of the tabulated function.

Implements TabulatedFunction.

void getFunctionParameters | ( | int & | xsize,
|  | int & | ysize,
|  | std::vector< double > & | values,
|  | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax
| ) |  | const

Get the parameters for the tabulated function.

Parameters

  values

  the tabulated values of the function f(x,y) at xsize uniformly spaced values of x between xmin and xmax, and ysize values of y between ymin and ymax. A natural cubic spline is used to interpolate between the tabulated values. The function is assumed to be zero when x or y is outside its specified range. The values should be ordered so that values[i+xsize*j] = f(x_i,y_j), where x_i is the i'th uniformly spaced value of x. This must be of length xsize*ysize.

  xsize | the number of table elements along the x direction
  ysize | the number of table elements along the y direction
  xmin | the value of x corresponding to the first element of values
  xmax | the value of x corresponding to the last element of values
  ymin | the value of y corresponding to the first element of values
  ymax | the value of y corresponding to the last element of values

void setFunctionParameters | ( | int | xsize,
|  | int | ysize,
|  | const std::vector< double > & | values,
|  | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax
| ) |  |

Set the parameters for the tabulated function.

Parameters

  values

  the tabulated values of the function f(x,y) at xsize uniformly spaced values of x between xmin and xmax, and ysize values of y between ymin and ymax. A natural cubic spline is used to interpolate between the tabulated values. The function is assumed to be zero when x or y is outside its specified range. The values should be ordered so that values[i+xsize*j] = f(x_i,y_j), where x_i is the i'th uniformly spaced value of x. This must be of length xsize*ysize.

  xsize | the number of table elements along the x direction
  ysize | the number of table elements along the y direction
  xmin | the value of x corresponding to the first element of values
  xmax | the value of x corresponding to the last element of values
  ymin | the value of y corresponding to the first element of values
  ymax | the value of y corresponding to the last element of values

The documentation for this class was generated from the following file:

- TabulatedFunction.h